<?xml version='1.0' encoding='UTF-8' ?>

<!DOCTYPE monitor PUBLIC
        "-//OW2//DTD JASMINe MBeanCmd 1.0//EN"
        "/home/renaultg/workspace/mbeancmd_trunk/modules/core/src/main/resources/xml/graph.dtd" >
<monitor absciss="time" separator=";" timeformat="long">

  <serie-def id="currentCpuLoad">
    <name>Current CPU Load</name>
    <description>CPU Load (%)</description>
    <y col="currentCpuLoad" type="double" />
  </serie-def>

  <serie-def id="currentHeapMemoryUsed">
    <name>Current Heap memory used</name>
    <description>Heap memory used</description>
    <y col="HeapMemoryUsage_used" type="double" />
  </serie-def>
  
  <serie-def id="currentHeapMemoryMax">
    <name>Current Heap memory max</name>
    <description>Heap memory max</description>
    <y col="HeapMemoryUsage_max" type="double" />
  </serie-def>
  
  <serie-def id="currentNonHeapMemoryUsed">
    <name>Current Non Heap memory used</name>
    <description>Non Heap memory used</description>
    <y col="NonHeapMemoryUsage_used" type="double" />
  </serie-def>
  
  <serie-def id="currentNonHeapMemoryMax">
    <name>Current Non Heap memory max</name>
    <description>Non Heap memory max</description>
    <y col="NonHeapMemoryUsage_max" type="double" />
  </serie-def>
  
  <serie-def id="Threads counter">
    <name>Threads counter</name>
    <description>Threads number</description>
    <y col="allThreadsCount" type="double" />
  </serie-def>
  
  <serie-def id="JDBCServedOpen">
    <name>Served open</name>
    <description>Served open</description>
    <y col="servedOpen" type="double" />
  </serie-def>
  
  <serie-def id="JDBCMaxSize">
    <name>Max size</name>
    <description>Max size</description>
    <y col="maxSize" type="double" />
  </serie-def>
  
  <serie-def id="JDBCCurrentOpen">
    <name>Current open</name>
    <description>Current open</description>
    <y col="currentOpen" type="double" />
  </serie-def>
  
  <serie-def id="JDBCCurrentBusy">
    <name>Current busy</name>
    <description>Current busy</description>
    <y col="currentBusy" type="double" />
  </serie-def>

  <graph id="cpu">
    <title>JASMINe monitoring CPU usage</title>
    <serie ref="currentCpuLoad" />
    <chartType>areaChartConst</chartType>
  </graph>
  
  <graph id="memory">
    <title>JASMINe monitoring Memory usage</title>
    <serie ref="currentHeapMemoryMax" />
    <serie ref="currentHeapMemoryUsed" />
    <serie ref="currentNonHeapMemoryMax" />
    <serie ref="currentNonHeapMemoryUsed" />
    <chartType>lineChartConst</chartType>
  </graph>
  
  <graph id="threads">
    <title>JASMINe Monitoring threads counter</title>
    <serie ref="Threads counter"/>
    <chartType>lineChartConst</chartType>
  </graph>
  
  <graph id="JDBC connection">
    <title>JASMINe Monitoring JDBC connections</title>
    <serie ref="JDBCMaxSize"/>
    <serie ref="JDBCCurrentOpen"/>
    <serie ref="JDBCCurrentBusy"/>
    <chartType>lineChartConst</chartType>
  </graph>

</monitor>
